My environment:
Mac OS 10.6.4
Ruby 1.8
RubyGems 1.3.7
nokogiri -v:

ruby:
  engine: mri
  version: 1.8.7
  platform: universal-darwin10.0
libxml:
  loaded: 2.7.3
  binding: extension
  compiled: 2.7.3
nokogiri: 1.4.3.1

------the question follows

hi. executing a ruby program using nokogiri and open-uri gives errors
like,

------the error is -------
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/open-uri.rb:32:in
`initialize': No such file or directory -  (Errno::ENOENT)
  from
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/open-uri.rb:32:in
`open_uri_original_open'
  from
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/open-uri.rb:32:in
`open'
  from thesis_get.rb:26
  from
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/open-uri.rb:32:in
`open_uri_original_open'
  from
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/open-uri.rb:32:in
`open'
  from thesis_get.rb:23
----------------------

the ruby program did work for Ubuntu 8.04 but not for MacOS Snow
Leopard.

Do I need to install something else for MacOS to make the program work?

-- 
Posted via http://www.ruby-forum.com/.